package hiit.blackboard;

import java.util.Vector;

public class CustomerData {
    
    private Vector[] data;
    
    private long timestamp;
    
    private CustomerInfo info;
    
    public CustomerData(Vector[] data, long timestamp, CustomerInfo info) {
        this.data = data;
        this.timestamp = timestamp;
        this.info = info;
    }
    
    public Vector[] getData() {
        return this.data;
    }
    
    public long getTimestamp() {
        return this.timestamp;
    }
    
    public String[] getParameterNames() {
        return this.info.getParameterNames();
    }
    
    public int[] getParameterTypes() {
        return this.info.getParameterTypes();
    }
    public CustomerInfo getInfo(){
    	return this.info;
    }
}
