package hiit.blackboard.filter;

import java.util.Vector;

import hiit.blackboard.Blackboard;
import hiit.blackboard.Customer;
import hiit.blackboard.CustomerData;
import hiit.blackboard.CustomerInfo;
import hiit.blackboard.event.EventData;
import hiit.logger.Logger;

public class Filter implements Customer {
	protected Customer consumer = null;
	protected Customer producer = null;
	
	protected Logger logger;
	protected String name = "";
	
	public Filter(Customer prod, Customer cons) {
		this.consumer = cons;
		this.producer = prod;
	}

	
	
	public void newData(Customer prod, CustomerData pd, EventData eventData){
		this.consumer.newData(prod, pd, eventData);
	}

	public void newData(Customer prod, CustomerData pd) {
		this.consumer.newData(prod, pd);
	}
	public void setName(String name){
		this.name = name;
	}
	public String getName(){
		return this.name;
	}
	
	public boolean isInRange(){
		return true;
	}


	
	public void setLogger(Logger logger){
		this.logger = logger;
	}

	public CustomerInfo getInfo() {
		return null;
	}

	public boolean requestData() {
		return false;
	}

	public boolean setProducerMode(int mode, long timeout) {
		return false;
	}

	public void updateCustomerInfo(Blackboard bb, Customer c, CustomerInfo pi) {
	}

	public void updateProducerList(Blackboard bb, Vector producers) {
	}
	
    /**
     * If the Customer supports events and has an EventHandler associated with it,
     * this method can be used to mark the current parameters as set of parameters
     * to which all future parameter groups are compared to.
     */
    
    public void markParameters(){
    	
    }
}
