package hiit.blackboard.protocol;

public class BasicComponentInfo implements ComponentInfo{
    
    private int type;
    
    private int userId;
    
    private int componentId;
    
    public BasicComponentInfo(int type, int user, int comp) {
        this.type = type;
        this.userId = user;
        this.componentId = comp;
    }
    
    public void setComponentId(int id) {
        this.componentId = id;
    }
    
    public int getComponentId() {
        return componentId;
    }
    
    public void setComponentType(int componentType) {
        this.type = componentType;
    }
    
    public int getComponentType() {
        return type;
    }
    
    public void setUserId(int userId) {
        this.userId = userId;
    }
    
    public int getUserId() {
        return userId;
    }
    
    public String toString() {
        return "Type: " + type + " user: " + userId + " componentId: "
                + componentId;
    }
    
    public boolean equals(BasicComponentInfo another) {
        return getComponentId() == another.getComponentId()
                && getComponentType() == another.getComponentType()
                && getUserId() == getUserId();
    }
}
