package hiit.plugin.activity.feature.statistical;

import hiit.plugin.activity.data.Instance;
import hiit.plugin.activity.feature.Feature;
import hiit.plugin.activity.utils.Module;

public class Mean extends Feature{

	public Mean(Module parent) {
		super(parent, "MEAN");
	}

    protected double[] getFeatResult(Instance[] source) {

		// Create storage
        double [] result = new double[source[0].getDimensionality()];
		
		for (int i = 0; i < result.length; i++){
		    for (int j = 0; j < source.length; j++){
		        result[i] += source[j].getValues()[i];
		    }
		    result[i] /= source.length;
		}
			
		// Return results
		return result;
	}

}
