package hiit.plugin.activity.feature.statistical.sorted;

import hiit.plugin.activity.data.Instance;
import hiit.plugin.activity.feature.Feature;
import hiit.plugin.activity.utils.Module;

public class Range extends Feature {

	public Range(Module parent) {
		super(parent, "RANGE");
		dependencies = new String[] {"MIN", "MAX"};
	}
	
    protected double[] getFeatResult(Instance[] source) throws Exception {

		double[] _minVal = getFeatureValues(dependencies[0]);
		
		double[] _maxVal = getFeatureValues(dependencies[1]);
		
		double[] result = new double[source[0].getDimensionality()];
		for(int i=0;i<result.length;i++) {
			//System.out.println(_max[i] + "\t" + _min[i]);
			result[i] = (_maxVal[i] - _minVal[i]);
		}
		
		return result;		
	}
}
