package hiit.plugin.activity.norm;

/**
 * 1-Norm aka Sum-Norm
 * @author natau
 *
 */

public class Norm_1 extends Norm{

    public double[] calculateNorm(double[] samples) {
        if (samples == null) return null;
        double [] result = new double[1];
        double currentResult = 0;
        for (int j = 0; j < samples.length; j++){
            currentResult += Math.abs(samples[j]);
        }
        result[0] = currentResult;
        return result;
    }

    public int outChannels() {
        return 1;
    }
}
