package hiit.blackboard.event;

import hiit.blackboard.Customer;

public interface EventListener {
    
    /**
     * This method is called each time an Event to which the EventListener has registered to occurs.
     * @param event the event that occured
     * @param subEventId the subevent identifier of the occured event
     * @param eventSource the source that triggered the Event, null if none
     */
	
    public void eventOccured(Event event, int subEventId, Customer eventSource);
	
}
