package hiit.blackboard.httpd;

import javax.microedition.midlet.*;
import javax.microedition.io.*;
import javax.microedition.lcdui.*;
import java.io.IOException;
import java.io.InputStream;
import java.io.PrintStream;

public class LittleListener extends MIDlet {
	
	private Form form;

	public LittleListener() {
		this.form = new Form("LittleListener");		
	}

	protected void destroyApp(boolean arg0) throws MIDletStateChangeException {
	}

	protected void pauseApp() {
	}

	protected void startApp() throws MIDletStateChangeException {
		Display.getDisplay(this).setCurrent(form);
		
		SocketConnection clientSocket = null;
		InputStream is = null;
		PrintStream out = null;
		
		try {
			form.append("Creating server socket...");
			ServerSocketConnection serverSocket = (ServerSocketConnection) Connector.open("socket://:10000");
			form.append("Socket port:" + serverSocket.getLocalPort() + " \nSocket address: " + serverSocket.getLocalAddress());
			
			form.append("Waiting for connections...");
			clientSocket = (SocketConnection) serverSocket.acceptAndOpen();
			
			form.append(clientSocket.getAddress() + " is now connected!");
			
			form.append("Opening input stream...");
			is = clientSocket.openInputStream();
			form.append("OK");
			
			StringBuffer b = new StringBuffer(); // ByteArrayOutputStream
			/*
			while (is.available() > 1) {
				b.append((char) is.read());
			}
			*/
			
			/*
			int ch;
			int lines = 0, LINES_TO_READ_FROM_HTTP_REQUEST = 5;
			while (((ch = is.read()) != -1) && lines <= LINES_TO_READ_FROM_HTTP_REQUEST) {
				b.append((char) ch);
				if ( ( (char) ch ) == '\r') lines++;
			}
			*/
			
			char ch;
			int cr = 0, nl = 0; 
			boolean endOfMessage = false;
			while (((ch = (char) is.read()) != -1) && !endOfMessage) {
				b.append(ch);
				if ( ( ch ) == '\r' ) { 
					cr++;
				} else if ( ( ch ) == '\n' ) {
					nl++;
					if (cr == 2 || nl ==2) {
						endOfMessage = true;
					}
				} else {
					cr = 0;
					nl = 0;
				}
			}
			
			HttpRequest r = new HttpRequest(b.toString());
			
			form.append("Request from client: \n" + r.toString());
			
			form.append("Sending a reply.\n");
			out = new PrintStream(clientSocket.openOutputStream());
			out.println("HTTP/1.1 200 OK");
			out.println("Connection: close");
			out.println("Content-Type: text/html; charset=iso-8859-1");
			out.println("\r\n<html><head><title>MIDlet Webserver</title></head><body><p>Hello!</p><p>You requested " + r.getPath() + "</p></body></html>\r\n\r\n");
			out.flush();
			form.append("OK. Loppu.");

		} catch (IOException e) {
			form.append("Oh no! IOException\n");
			e.printStackTrace();
		} catch (HttpFormatException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		try {
			if (out != null)
				out.close();
			if (is != null)
				is.close();
			if (clientSocket != null) {
				clientSocket.close();
			}
		} catch (IOException e) {
			
		}
				
	} // end of startApp
	
	public String getPath(String httpRequest) {
		StringBuffer path = new StringBuffer();
		char ch;
		// find the end of the word "GET"
		int i = httpRequest.indexOf("GET") + 3;
		// move forward until path begins
		while (httpRequest.charAt(i) == ' ') {
			i++;
		}
		// move forward until path ends, reading the path one char at a time
		while ((ch = httpRequest.charAt(i)) != ' ') {
			path.append(ch);
			i++;
		}
		return path.toString();
	}
	
	/*
	private Hashtable getParams(String httpRequest) {
		Hashtable params = new Hashtable();
		
		// 1) Split at line breaks
		Vector lines = new Vector();
		for (int i = 0; i < httpRequest.length(); i++) {
			char ch;
			StringBuffer line = new StringBuffer();
			while ( (ch = httpRequest.charAt(i)) != '\n' && i < httpRequest.length() ) {
				line.append(ch);
				i++;
			}
			lines.add(line.toString().trim());		
		}
		
		// 2) Split first line at blankspace
		
		return params;
		
	}
	*/

}
