/*
 * BeTelGeuse - A context data gathering tool for Bluetooth devices
 * www.cs.helsinki.fi/group/acs/betelgeuse
 * Copyright (C) 2006 Joonas Kukkonen, Eemil Lagerspetz and Petteri Nurmi
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package hiit.logger;

import javax.microedition.lcdui.*;


/* Refreshes log after each new message */
public class MIDPLiveLogger extends MIDPLogger {

        private Form f = null;
        	
        public MIDPLiveLogger(int loglength) {
        	super(loglength);
           	f = new Form("Log");
        }

        public void logMessage(String message) {
        	super.logMessage(message);
        	f.deleteAll();
        	fillLogScreen(f);
        }
        public Form getLogScreen(){
        	return f;        	
        }
        
}
