/*
 * BeTelGeuse - A context data gathering tool for Bluetooth devices
 * www.cs.helsinki.fi/group/acs/betelgeuse
 * Copyright (C) 2006 Joonas Kukkonen, Eemil Lagerspetz and Petteri Nurmi
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package hiit.midpgui;

import hiit.reader.Reader;
import javax.microedition.lcdui.*;
/**
 * @author Petteri Nurmi
 */

// UNDEAD CODE?

public class ReaderVisualizer {
	
	private Reader reader;
	
	public ReaderVisualizer(Reader reader) {
		this.reader = reader;
	}
	
	public void draw(Form form) {
		String s = "";
		if(this.reader!=null) {
			String[] str = this.reader.getParameterNames();		
			for(int i=0,j=str.length;i<j;i++) {
				s = this.reader.getParameter(str[i]);
				form.append(new StringItem(str[i],s));				
			}
		}
	}
	
	public Reader getReader() {
		return this.reader;
	}
	
	public void update(Form form) {	
		if(this.reader==null)return;
		for(int i=2,j=form.size();i<j;i++)
			form.delete(2);
		String s = "";
		String[] str = this.reader.getParameterNames();
		for(int i=0,j=str.length;i<j;i++) {
			s = this.reader.getParameter(str[i]);
			form.append(new StringItem(str[i],"\n" + s + "\n"));
		}		
	}	
}