package hiit.plugin.activity.data;


public class Instance extends Data {

    private double[] data;
    public boolean valid = true; //this is quite a hack, but necessary atm

    public Instance() {
    }

    public Instance(double[] values) {
        this.data = values;
    }

    public Instance(Double[] _values) {
        this.data = new double[_values.length];
        for (int i = 0; i < _values.length; i++) {
            this.data[i] = _values[i].doubleValue();
        }
    }

    public Instance(double[] _values, boolean _createCopy) {
        if (_createCopy) {
            this.data = new double[_values.length];
            System.arraycopy(_values, 0, this.data, 0, _values.length);
        } else {
            this.data = _values;
        }
    }

    public Instance(String label, double[] values) {
        setLabel(label);
        setValues(values);
    }

    public Instance(boolean valid) {
        this.valid = valid;
    }

    public final void setValues(double[] _values) {
        this.data = _values;
    }

    public final double[] getValues() {
        return data;
    }

    public final int getDimensionality() {
        return (data == null ? 0 : data.length);
    }

    public final Object clone() {
        return new Instance(label, data);
    }

    public final String toString() {
        String s = "";
        s += label + "\t";
        for (int i = 0; i < data.length; i++)
            s += data[i] + "\t";
        return s;
    }

}