package hiit.plugin.activity.data;


public class Series extends Data{
    private Instance[] data = null;
    
    public Series(Instance[] instances){
        data = instances;
        if (instances != null && instances.length != 0) setLabel(instances[0].getLabel());
    }
    
    public final Instance[] getData(){
        return data;
    }
    
    public final int getDimensionality() throws Exception{
        if (data == null || data.length == 0) throw new Exception("Data in Series has not been initialized!");
        return data[0].getDimensionality();
    }
    
    public final int length() throws Exception{
        if (data == null || data.length == 0) throw new Exception("Data in Series has not been initialized!");
        return data.length;
    }
}
