package hiit.plugin.activity.feature.periodic;

import hiit.plugin.activity.data.Instance;
import hiit.plugin.activity.feature.Feature;
import hiit.plugin.activity.utils.Module;

public class MaxPos extends Feature{

    public MaxPos(Module parent) {
        super(parent, "MAXPOS");
    }

    protected double[] getFeatResult(Instance[] source) {

        // Create storage
        double [] result = new double[source[0].getDimensionality()];
        
        double pos = 0;
        
        for (int i = 0; i < result.length; i++){
            double max = Double.MIN_VALUE;
            for (int j = 1; j < source.length; j++){
                if (source[j].getValues()[i] > max)
                {
                    max = source[j].getValues()[i];
                    pos = j;
                }
            }
            result[i] = pos;
        }
            
        // Return results
        return result;
    }

}
