package hiit.plugin.activity.feature.statistical;

import hiit.plugin.activity.data.Instance;
import hiit.plugin.activity.feature.Feature;
import hiit.plugin.activity.utils.Module;

public class StandardDeviation extends Feature {

    public StandardDeviation(Module parent) {
        super(parent, "STDDEV");
        dependencies = new String[] {"VAR"};
    }

    protected double[] getFeatResult(Instance[] source) throws Exception {

        double[] _featureValues = getFeatureValues(dependencies[0]);

        double[] result = new double[_featureValues.length];

        for (int i = 0; i < _featureValues.length; i++) {
            result[i] = Math.sqrt(_featureValues[i]);
        }

        return result;
    }
}