package hiit.plugin.activity.norm;

import hiit.plugin.activity.utils.MathUtils;

/**
 * 2-Norm
 * @author natau
 *
 */

public class Norm_2 extends Norm{

    public double [] calculateNorm(double[] samples){
        if (samples == null) return null;
        double [] result = new double[1];
        double currentResult = 0;
        for (int j = 0; j < samples.length; j++){
            currentResult += MathUtils._POW(samples[j], 2);
        }
        result[0] = Math.sqrt(currentResult);
        return result;
    }
    
    public int outChannels() {
        return 1;
    }  
}
